import React from 'react';
import evalDependsOn from 'keystone/fields/utils/evalDependsOn';
import PropTypes from 'prop-types'
var createReactClass = require('create-react-class');
module.exports = createReactClass({
	displayName: 'FormHeading',
	propTypes: {
		options: PropTypes.object,
	},
	render () {
		if (!evalDependsOn(this.props.options.dependsOn, this.props.options.values)) {
			return null;
		}
		return <h3 className="form-heading">{this.props.content}</h3>;
	},
});
