/**
 * Render the body of a popout
 */

import React from 'react';
import blacklist from 'blacklist';
import classnames from 'classnames';
import PropTypes from 'prop-types'
var createReactClass = require('create-react-class');
var PopoutBody = createReactClass({
	displayName: 'PopoutBody',
	propTypes: {
		children: PropTypes.node.isRequired,
		className: PropTypes.string,
		scrollable: PropTypes.bool,
	},
	render () {
		const className = classnames('Popout__body', {
			'Popout__scrollable-area': this.props.scrollable,
		}, this.props.className);
		const props = blacklist(this.props, 'className', 'scrollable');

		return (
			<div className={className} {...props} />
		);
	},
});

module.exports = PopoutBody;
