/**
 * Render a popout list heading
 */

import React from 'react';
import blacklist from 'blacklist';
import classnames from 'classnames';
import PropTypes from 'prop-types'
var createReactClass = require('create-react-class');
var PopoutListHeading = createReactClass({
	displayName: 'PopoutListHeading',
	propTypes: {
		children: PropTypes.node.isRequired,
		className: PropTypes.string,
	},
	render () {
		const className = classnames('PopoutList__heading', this.props.className);
		const props = blacklist(this.props, 'className');

		return (
			<div className={className} {...props} />
		);
	},
});

module.exports = PopoutListHeading;
