/**
 * Created by kinfen on 2017/11/16.
 */
import React from 'react';
import Card from "antd/lib/card";
import _ from 'lodash';
import {
	CSSTransition
} from 'react-transition-group';


class Picker extends React.Component{


	state = {
		showPicker: false,
		valignMode:"top",
	}
	props = {
		style:{
			width:200,
			height:400,
		}
	}
	handleFocusInput(){
		this.setState({
			showPicker:true,
		})
	}

	handleClose(){
		this.setState({
			showPicker:false,
		})
	}
	renderPickerContent(){
		return null;
	}
	renderCardNode(){

		var inputStyles = {
			input: {
				border: "none",
			},
			label: {
				fontSize: '12px',
				color: '#999',
			},
		};

		let cover = {
				position: 'fixed',
				top: '0px',
				right: '0px',
				bottom: '0px',
				left: '0px',
			};

		return (
				<Card
					style={{
						position:"absolute",
						width:this.props.style.width + 4,
						title:"title",
						left:-2,
						top:-2,
						boxShadow: "0 1px 6px rgba(0,0,0,0.2)",
						borderRadius: 4,
						borderColor:"transparent",
						zIndex:999,
					}}
					bodyStyle={{ padding: 0 }}
				>
					<div
						style={cover}
						onClick={this.handleClose.bind(this)}
					>
					</div>
					{this.renderPickerContent()}
				</Card>


		)

	}
	render(){
		const cardNode = this.renderCardNode() ;
		var style = _.assign(this.props.style, {
			position:"relative",
		});

		let scrH = document.body.scrollHeight;

		function getOffsetPoint(node){

			
		}
 
		var transitionName = "kadm-picker-" + this.state.valignMode;


		return (
			<div
				{
					...this.props
				}
				{
					...{
						onFocus:this.handleFocusInput.bind(this),
						style:style
					}
				}
			>
				{this.props.children}
				<CSSTransition
					in={this.state.showPicker}
					className={transitionName}
					classNames={transitionName}
					timeout={300}
					unmountOnExit
					// component="div"
					// style={popoutBodyStyle}
					// transitionName={selectedField ? 'Popout__pane-next' : 'Popout__pane-prev'}
					// transitionEnterTimeout={360}
					// transitionLeaveTimeout={360}
					// {...{
					// 	transitionName,
					// }}
				>
					<div>
						{cardNode}
					</div>
					
				</CSSTransition>
			</div>
		)
	}


}

export default Picker


