/**
 * Created by kinfen on 16/7/26.
 */


import React from 'react';
import ReactDOM from 'react-dom';
import { Route} from 'react-router';

import { Provider } from 'react-redux';
import { 
	ConnectedRouter, 
} from 'react-router-redux';
//
import App from './App';
import reduxManager from "kadm-redux-mng";
var store = reduxManager.getStore();

// Sync the browser history to the Redux store
// const history = syncHistoryWithStore(browserHistory, store);


ReactDOM.render(
	<Provider store={store}>
		<ConnectedRouter history={store.history}>
			<Route  path="/admin" component={App} />
		</ConnectedRouter>
	</Provider>,
	document.getElementById('admin-root')
);

export {
	store,
	history
}
