import React from 'react';
import ItemsTableCell from '../../components/ItemsTableCell';
import ItemsTableValue from '../../components/ItemsTableValue';
import PropTypes from 'prop-types'
var createReactClass = require('create-react-class');
var InvalidColumn = createReactClass({
	displayName: 'InvalidColumn',
	propTypes: {
		col: PropTypes.object,
	},
	renderValue () {
		return (
			<ItemsTableValue field={this.props.col.type}>
				(Invalid Type: {this.props.col.type})
			</ItemsTableValue>
		);

	},
	render () {
		return (
			<ItemsTableCell>
				{this.renderValue()}
			</ItemsTableCell>
		);
	},
});

module.exports = InvalidColumn;
