import React from 'react';
import PropTypes from 'prop-types'
import numeral from 'numeral';
import ItemsTableCell from '../../components/ItemsTableCell';
import ItemsTableValue from '../../components/ItemsTableValue';

var createReactClass = require('create-react-class');
var NumberColumn = createReactClass({
	displayName: 'NumberColumn',
	propTypes: {
		col: PropTypes.object,
		data: PropTypes.object,
	},
	getValue () {
		// cropping text is important for textarea, which uses this column
		const value = this.props.data.fields[this.props.col.path];
		return value ? value.substr(0, 100) : null;
	},
	render () {
		const value = this.getValue();
		return (
			<div>
				{value}
			</div>
		);
	},
});

module.exports = NumberColumn;
