/**
 * Created by kinfen on 2017/5/12.
 */

var kadm = require('..')
var keystone = kadm.getAdminPlus(),
	Types = kadm.Field.Types,
	config = require('../config/config');
var path = require('path');
var UiDesign = new keystone.List('UiDesign', {
	schema:{
		module:{
			unique:true,
		}
	}
});

UiDesign.add({
	name: { label:"名称", type: String, required: true, initial:true},
	module:{ label:'元对象', type:Types.ModuleSelect, required: true, initial:true},
	state:{label:"状态", type: Types.Select, numeric:true, options: config.global_states, default:config.GLOBAL_STATE_NORMAL.value },
	publishedDate: {label:"发布日期", type: Types.Datetime, default: Date.now }
});
UiDesign.defaultColumns = 'name,module, state|100,  publishedDate|100';
UiDesign.controls = [
    {
        label:'设计',
        icon:'edit',
        url:path.join('/', kadm.get('kadmPath'), 'ui', 'UiDesign'),
    }
];
UiDesign.register();
